Game List
curl --request GET \
--url https://s-apis.oppigames.com/game/list \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://s-apis.oppigames.com/game/list"
headers = {
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'Content-Type': '<content-type>'
}
};
fetch('https://s-apis.oppigames.com/game/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://s-apis.oppigames.com/game/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "RS_OK",
"data": {
"currentPage": 1,
"totalPages": 1,
"totalCount": 2,
"result": [
{
"name": "Ghost Vault",
"slug": "ghost-vault",
"gameId": "G1720767064793",
"gameType": 1,
"bonuses": [
"Free Spins",
"Fortune Guess",
"Wagering"
],
"images": [
{
"portrait": "https://s-apis.oppigames.com/portrait/1dff1f405ee35c0ffc913f654903714e6a.jpg",
"animated": "https://s-apis.oppigames.com/animated/fe10607dff11aa1994e10c18ajshjh4774fs7f.gif",
"thumbnail": "https://s-apis.oppigames.com/thumbnail/b7d75901091fe5ac456esdj94a2b9b10e0.png"
}
]
},
{
"name": "Cricket Crash",
"slug": "cricket-crash",
"gameId": "G1742465405970",
"gameType": 2,
"bonuses": [],
"images": [
{
"portrait": "https://s-apis.oppigames.com/portrait/825f35376e46b10db15c7c8833396b38.png",
"animated": "https://s-apis.oppigames.com/animated/145f35376e46b155b15c7cre47juYT7e.gif",
"thumbnail": "https://s-apis.oppigames.com/thumbnail/145f35376e46b155bfetji157562e4jhjf.png"
}
]
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
Game
Game List
This API is used for get game list.
GET
/
game
/
list
Game List
curl --request GET \
--url https://s-apis.oppigames.com/game/list \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://s-apis.oppigames.com/game/list"
headers = {
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'Content-Type': '<content-type>'
}
};
fetch('https://s-apis.oppigames.com/game/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://s-apis.oppigames.com/game/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "RS_OK",
"data": {
"currentPage": 1,
"totalPages": 1,
"totalCount": 2,
"result": [
{
"name": "Ghost Vault",
"slug": "ghost-vault",
"gameId": "G1720767064793",
"gameType": 1,
"bonuses": [
"Free Spins",
"Fortune Guess",
"Wagering"
],
"images": [
{
"portrait": "https://s-apis.oppigames.com/portrait/1dff1f405ee35c0ffc913f654903714e6a.jpg",
"animated": "https://s-apis.oppigames.com/animated/fe10607dff11aa1994e10c18ajshjh4774fs7f.gif",
"thumbnail": "https://s-apis.oppigames.com/thumbnail/b7d75901091fe5ac456esdj94a2b9b10e0.png"
}
]
},
{
"name": "Cricket Crash",
"slug": "cricket-crash",
"gameId": "G1742465405970",
"gameType": 2,
"bonuses": [],
"images": [
{
"portrait": "https://s-apis.oppigames.com/portrait/825f35376e46b10db15c7c8833396b38.png",
"animated": "https://s-apis.oppigames.com/animated/145f35376e46b155b15c7cre47juYT7e.gif",
"thumbnail": "https://s-apis.oppigames.com/thumbnail/145f35376e46b155bfetji157562e4jhjf.png"
}
]
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
Headers
string
required
A unique identifier associated with operator calling API.
string
required
A SHA256 HMAC signature generated using the request body and timestamp.
Format: HMAC_SHA256(JSON.stringify(data) + ’|’ + timestamp), signed using the
provided secret key.
string
required
An Unix timestamp (milliseconds) Used to verify the request’s freshness.
Ensure the same value is used in signature generation.
The signature will remain valid for only 5 minutes from the provided
timestamp.
string
required
Must be set to
application/json.Query Parameters
number
default:1
Specifies the current page number for pagination purposes.
number
default:10
Specifies how many records to display on each page, controlling the size of each data segment.
integer
Game type filter is used for filter the records based on gameType (1=Slot and
2=Crash).
string
Search functionality allow searching games based on gameId or gameName with
case insensitive matching.
Response
string
required
Code indicates status of the request weather it is succeed or failed. We have listed error codes here
Data Object
Show Data properties
Show Data properties
integer
required
The current page number of the results.
integer
required
The total number of pages available.
integer
required
The total number of records matching the query.
array
required
List of games matching the query parameters.
Show result properties
Show result properties
string
required
Name of the game.
string
required
URL-friendly version of the game name.
string
required
Unique identifier for the game.
integer
required
Type of game (1=Slot, 2=Crash).
array
required
Allowed bonuses for the game.
{
"status": "RS_OK",
"data": {
"currentPage": 1,
"totalPages": 1,
"totalCount": 2,
"result": [
{
"name": "Ghost Vault",
"slug": "ghost-vault",
"gameId": "G1720767064793",
"gameType": 1,
"bonuses": [
"Free Spins",
"Fortune Guess",
"Wagering"
],
"images": [
{
"portrait": "https://s-apis.oppigames.com/portrait/1dff1f405ee35c0ffc913f654903714e6a.jpg",
"animated": "https://s-apis.oppigames.com/animated/fe10607dff11aa1994e10c18ajshjh4774fs7f.gif",
"thumbnail": "https://s-apis.oppigames.com/thumbnail/b7d75901091fe5ac456esdj94a2b9b10e0.png"
}
]
},
{
"name": "Cricket Crash",
"slug": "cricket-crash",
"gameId": "G1742465405970",
"gameType": 2,
"bonuses": [],
"images": [
{
"portrait": "https://s-apis.oppigames.com/portrait/825f35376e46b10db15c7c8833396b38.png",
"animated": "https://s-apis.oppigames.com/animated/145f35376e46b155b15c7cre47juYT7e.gif",
"thumbnail": "https://s-apis.oppigames.com/thumbnail/145f35376e46b155bfetji157562e4jhjf.png"
}
]
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
⌘I
